// Here we avoid loading the header multiple times
#ifndef MULTIFOLDERVIEW_HEADER
#define MULTIFOLDERVIEW_HEADER
// We need the Plasma Applet headers
#include <KIcon>

#include <Plasma/Applet>
#include <Plasma/Svg>
#include <Plasma/Containment>



class QSizeF;
class QGraphicsLinearLayout;
class StrippedFolderView;
class KConfigGroup;

// Define our plasma Applet
class MultiFolderView : public Plasma::Containment
{
    Q_OBJECT
    public:
        // Basic Create/Destroy
        MultiFolderView(QObject *parent, const QVariantList &args);
        ~MultiFolderView();

        void init();

    private:
		QString m_url;
		int 	m_cols;
		int 	m_iconsize;
		KConfigGroup *m_general;
		QList<QGraphicsWidget*> m_verticalWidgets;
		QList<StrippedFolderView*> mfolderViews;
};
 
// This is the command that links your applet to the .desktop file
K_EXPORT_PLASMA_APPLET(multifolderview, MultiFolderView)

#endif
